Subject: [BEHAVE] NAT64 MTU/fragmentation text

From: Iljitsch van Beijnum <[email-masked]>
Date: Wed, 5 Aug 2009 12:57:26 +0200

Hi,

I don't think anyone introduced any specific ways in which the NAT64  
MTU and fragmetation handling could be improved. So please speak up now.

Remember: there are basically three options to handle PMTUD and  
fragmentation:

1. RFC 2460/2765 -> possibility of a black hole
2. Current draft text -> completely different from 1.
3. Middle ground -> changes to RFC 2460/2765 to avoid the black hole

I'm assuming everyone agrees with our identification field handling.

Note that we currently handle PMTUD on the IPv4 side (where IPv4 MTUs  
are discovered) are handled by relaying the "too big" messages to the  
v6 host, but in the other direction the proxy handles the PMTUD  
locally and doesn't propagate IPv6 too big messages to the IPv4 side  
(although it may generate too big messages itself).

Iljitsch